
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title></title>
<link rel="stylesheet" type="text/css" href="skin/default/jooyea/css/row_menus.css">
<link rel="stylesheet" type="text/css" href="skin/default/jooyea/css/iframe.css">
<SCRIPT type='text/javascript' src="servtools/ajax_client/ajax.js"></SCRIPT>
<SCRIPT language=JavaScript src="skin/default/js/jooyea.js"></SCRIPT>
<script type='text/javascript'>
	parent.guide("share");
	
	function fixImage(i,w,h){
		return true;
	}
	
	function add_out_share(){
		var point=Get_mouse_position("frame");
		var point_iframe=Get_mouse_position("loc");
		var outer_re=document.getElementById("add_outer_share").value;
		var reg_http=/^http:\/\//i;
		if(trim(outer_re)&&trim(outer_re)!='http://'){
			if(!reg_http.test(outer_re)){
				var h_head="http://";
				var outer_re=h_head+outer_re;
			}
			var xmlhttp=InitAjax();
			xmlhttp.open("post","do.php?act=share_get_info");
			xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
			xmlhttp.onreadystatechange=function(){
				if(xmlhttp.readyState==4&&xmlhttp.status==200){
					document.getElementById("share_window").style.display='none';
					var return_str=xmlhttp.responseText;
					var	return_text=return_str.replace(/[\s\n\r]/g,"");
					var return_array=return_text.split("^");
					s_title='';
					if(return_array[1]){
						s_title=return_array[1];
					}
					if(return_array[0]){
						type_id=return_array[0];
						parent.show_share(type_id,0,s_title,outer_re,point);
					}
				}else{
					document.getElementById("share_window").style.display='';
					document.getElementById("share_window").style.top=point_iframe[1]-50+"px";
					document.getElementById("share_window").style.left=point_iframe[0]-300+"px";
					document.getElementById("share_window").innerHTML="<div class='share_pop'><img src='skin/default/jooyea/images/loading.gif'><span>数据加载中...</span></div>";
				}
			}
			xmlhttp.send("outer_link="+outer_re);
		}else{
				parent.Dialog.alert('{echo:lp{s_no_right};/}');
		}
	}
	
	function share_com(share_id,mod_id,type_id,start_num,end_num,ref_type){
		var obj_share=$('content_share_'+share_id);
		if(obj_share.style.display=='none'){
			obj_share.style.display='';
			parent.get_mod_com(mod_id,type_id,start_num,end_num,ref_type);
		}else{
			obj_share.style.display='none';
		}
	}
	
</script>
</head>
<body>
	
<div id='share_window' style='display:none;' class='ajax_window'></div>	
<div class="main_right_title">
	<span class="main_title_dot10"></span>
	<span class="main_title_txt">{echo:$str_title;/}</span>
</div>
<!--按钮控制!-->
<div id="tabsB" class={echo:$button_show_mine;/}>
	<ul>
    <li><a href="?app=share_list" title="{echo:lp{s_mine};/}" class="nowbutl"><span class="nowbutr">{echo:lp{s_mine};/}</span></a></li>
    <li><a href="?app=share_friend" title="{echo:lp{s_friend};/}"><span>{echo:lp{s_friend};/}</span></a></li>
  </ul>
	<div class="share_box right">
		<span onclick="add_out_share();">{echo:lp{s_add_out};/}</span>
		<input type='text' id='add_outer_share' value="http://" />
	</div>
</div>
		
<!--按钮控制!-->
	<div class="container {echo:$button_show_his;/}">
		<div class="rs_head">{echo:str_replace("{num}",count($share_rs),$s_langpackage->s_num);/}</div>
	</div>
	{sta:foreach($share_rs as $rs)[loop]}
	<div class="listbody share_listbody">
		<div class="listtit">
	   	<span class="right">
	      <a id="restore_share_{echo:$rs["s_id"];/}" href='javascript:share_com({echo:$rs["s_id"];/},{echo:$rs["s_id"];/},5,0,10,0);'>{echo:lp{s_com};/}<lable id="total_num_{echo:$rs['s_id'];/}">（{echo:$rs['comments'];/}）</lable></a>
				{sta:if($rs['user_id']==$ses_uid)[exc]}
				<a href="do.php?act=share_del&share_id={echo:$rs['s_id'];/}">{echo:lp{s_del};/}</a>
				{end:if/}
				{sta:if($rs['user_id']!=$ses_uid&&$ses_uid)[exc]}
				<a href='javascript:void(0)' onclick=parent.show_share({echo:$rs['type_id'];/},{echo:$rs['s_id'];/},"{echo:$rs['s_title'];/}","{echo:$rs['out_link'];/}"); class="fenxiang"> {echo:lp{mn_share};/}</a>
				<a class="jubao" href="javascript:void(0);" onclick='parent.report(8,{echo:$rs["user_id"];/},{echo:$rs["s_id"];/});'>{echo:lp{mn_report};/}</a>
				{end:if/}
	    </span>
      <a href="home.php?h={echo:$rs['user_id'];/}" target="_blank" class="strong">{echo:filt_word($rs['user_name']);/}</a>{echo:lp{rf_share};/}{echo:$rf_langpackage->{'rf_s_type_'.$rs['type_id']};/}
    </div>
	<div class="listbody">{echo:show_affair($rs['add_time'],filt_word($rs['content']));/}</div></div>
	</div>
		<div class="clear"></div>
		<div class="share_reply" style="display:none;" id='content_share_{echo:$rs["s_id"];/}'>
			<div class="replytip"></div>
			<div id='show_5_{echo:$rs["s_id"];/}'></div>
			{sta:if($ses_uid!='')[exc]}
			<div class="reply">
				<img src='{echo:get_sess_userico();/}' />
				<textarea maxlength="160" onkeyup="return isMaxLen(this)"  style="height:50px" id="reply_5_{echo:$rs['s_id'];/}_input"></textarea>
				<div class="replybt">
					<input class="left button2" onclick="parent.restore_com({echo:$rs['user_id'];/},5,{echo:$rs['s_id'];/});show('face_list_menu',200)" type="submit" name="button" id="button" value="{echo:lp{s_refer};/}" />
					<a id="reply_a_{echo:$rs['s_id'];/}_input" class="right" href="javascript:void(0);" onclick=" showFace(this,'face_list_menu','reply_5_{echo:$rs['s_id'];/}_input');">{echo:lp{s_face};/}</a> 
				</div>
				<div class="clear"></div>
</div>
			{end:if/}
		</div>
		<!-- face begin -->
		<div id="face_list_menu" class="emBg" style="display:none;z-index:100;"></div>
		<!-- face end -->
	{end:foreach/}
	{echo:page_show($isNull,$page_num,$page_total);/}
  <div class="guide_info {echo:$content_data_none;/}">{echo:lp{s_his_none};/}</div>
</body>
</html>